Ga naar hoofdinhoud

building_get_grid_limit_schedule

GET 

/public-api/buildings/:uuid/schedules/grid_limits/

Pre-requisites​

  • uuid: You need a (building) uuid for this endpoint. You can get a list of buildings with GET /buildings/.

Returns all scheduled GridLimitSchedule's for the specified building on a single UTC calendar day.

Returned occurrences are those that overlap the calculated UTC day window.

If no timestamp is supplied, the current day (in UTC) is used.

Historical schedules cannot be modified and are retained for up to 90 days.

Each occurrence has an execution_status: pending until the Envi.Baseenvi.baseDe energiecontroller van Envitron die apparaten uitleest, aanstuurt en data opslaat achter de hoofdaansluiting. reports it when the occurrence starts, executed when the Envi.Baseenvi.baseDe energiecontroller van Envitron die apparaten uitleest, aanstuurt en data opslaat achter de hoofdaansluiting. applied it, and not_executed when the Envi.Baseenvi.baseDe energiecontroller van Envitron die apparaten uitleest, aanstuurt en data opslaat achter de hoofdaansluiting. could not apply it, for example because scheduled grid limits are not enabled on the load balancer.

Request​

Responses​